
CoCoALib - Support #1510

Documentation for SparsePolyOps?

14 Oct 2020 21:48 - John Abbott

Status: New Start date: 14 Oct 2020

Priority: Normal Due date:  

Assignee:  % Done: 30%

Category: Documentation Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.00 hour

Description

Where should the doc for fns in SparsePolyOps-* files go?

The current organization is inconsistent :-(

Related issues:

Related to CoCoALib - Feature #1488: BuiltIn Interreduce-Function Closed 15 Sep 2020

Related to CoCoALib - Support #1265: Unregistered TXT files in doc Closed 27 Mar 2019

Related to CoCoALib - Design #1783: Code & doc structure:  one-big-file or ma... In Progress 24 Feb 2024

History

#1 - 16 Sep 2021 13:15 - John Abbott

- Related to Feature #1488: BuiltIn Interreduce-Function added

#2 - 14 Feb 2022 18:17 - John Abbott

- Target version changed from CoCoALib-0.99800 to CoCoALib-0.99850

#3 - 09 Mar 2023 22:24 - John Abbott

- Related to Support #1265: Unregistered TXT files in doc added

#4 - 01 Mar 2024 09:36 - Anna Maria Bigatti

- Related to Design #1783: Code & doc structure:  one-big-file or many-small-files? added

#5 - 18 Mar 2024 09:34 - John Abbott

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880

#6 - 18 Mar 2024 09:35 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99880 to CoCoALib-0.99850

See #1783-2 :  one doc file for each topic/file

#7 - 18 Mar 2024 09:45 - Anna Maria Bigatti

- Target version changed from CoCoALib-0.99850 to CoCoALib-0.99880

- % Done changed from 0 to 30

The SparsePolyOps files are quite focused on a specific topic.

Doc would be easier to maintain if kepts separately.

However, some functions should be much easier to FIND if in a single file (see RingElem.txt).

We need to define properly how to deal with these aspects.
